; inc_Editor.ahk
; Contains constants and functions related to jIDEE's editor.
; Modify the stuff below if you want to use a different editor.

;---------------------------------;
;----- some global constants -----;
;---------------------------------;
;defined in functions below

;---------------------------------;
;----------- Functions -----------;
;---------------------------------;
launchInEditor(filename, lineNum=1)
; open filename in an editor and jump to lineNum if the editor supports line jumping it.
{
	launchInEditor_notepadPP(filename, lineNum)	; pick the function here to call the editor you want to use
}

launchInEditor_notepadPP(filename, lineNum)
; open filename in Notepad++ and go to lineNum.
{
	global kEditorWinClass
	global kBinDir
	kEditorWinClass = Notepad++				; class of Notepad++ editor as shown by AutoIt3 Window Spy
	kEditorPath = %kBinDir%\npp\notepad++ 	; path and name of file editor executable
	Run, %kEditorPath% -n%lineNum% %filename%
}

launchInEditor_scite(filename, lineNum)
; open filename in SciTE and go to lineNum.
{
	global kEditorWinClass
	global kBinDir
	kEditorWinClass = SciTEWindow				; class of SciTE editor as shown by AutoIt3 Window Spy
	kEditorPath = %kBinDir%\SciTE\SciTE.exe 	; path and name of file editor executable
	Run, %kEditorPath% %filename% -goto:%lineNum%
}

launchInEditor_madedit(filename, lineNum)
; open filename in MadEdit; lineNum not supported
{
	global kEditorWinClass
	global kBinDir
	kEditorWinClass = wxWindowClassNR				; class of MadEdit editor as shown by AutoIt3 Window Spy
	kEditorPath = %kBinDir%\MadEdit\MadEdit.exe 	; path and name of file editor executable
	Run, %kEditorPath% %filename%
}

launchInEditor_notepad2(filename, lineNum)
; open filename in Notepad2 and go to lineNum.
{
	global kEditorWinClass
	global kBinDir
	kEditorWinClass = Notepad2						; class of SciTE editor as shown by AutoIt3 Window Spy
	kEditorPath = %kBinDir%\notepad2\Notepad2.exe 	; path and name of file editor executable
	Run,  %kEditorPath% /g %lineNum% %filename%
	;Run, %kEditorPath% /?
}
